org.apache.tomcat.util.net

## Class NioEndpoint.SocketProcessor

- java.lang.Object
- - org.apache.tomcat.util.net.NioEndpoint.SocketProcessor

All Implemented Interfaces:
  Runnable

Enclosing class:
  NioEndpoint

    protected class NioEndpoint.SocketProcessor
    extends Object
    implements Runnable

This class is the equivalent of the Worker, but will simply use in an external Executor thread pool.

### Field Summary

Fields
`protected NioChannel` `socket`
`protected SocketStatus` `status`

### Constructor Summary

Constructors
Constructor and Description
`NioEndpoint.SocketProcessor(NioChannel socket, SocketStatus status)`

### Method Summary

Methods
`void` `reset(NioChannel socket, SocketStatus status)`
`void` `run()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### socket

    protected NioChannel socket

#### status

    protected SocketStatus status

### Constructor Detail

#### NioEndpoint.SocketProcessor

    public NioEndpoint.SocketProcessor(NioChannel socket,
                               SocketStatus status)

### Method Detail

#### reset

    public void reset(NioChannel socket,
             SocketStatus status)

#### run

    public void run()

Specified by:
  `run` in interface `Runnable`